## net.sf.saxon.expr.sort
Class IntSingletonSet

    java.lang.Object
      net.sf.saxon.expr.sort.IntSingletonSet

All Implemented Interfaces:
  IntSet

    public class IntSingletonSet

extends Object
implements IntSet

An immutable integer set containing a single integer

Constructor Summary
`IntSingletonSet(int value)`

Method Summary
`boolean` `add(int value)` Add an integer to the set
`void` `clear()` Clear the contents of the IntSet (making it an empty set)
`boolean` `contains(int value)` Determine whether a particular integer is present in the set
`boolean` `containsAll(IntSet other)` Test if this set is a superset of another set
`boolean` `isEmpty()` Determine if the set is empty
`IntIterator` `iterator()` Get an iterator over the values
`boolean` `remove(int value)` Remove an integer from the set
`int` `size()` Get the number of integers in the set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntSingletonSet

    public IntSingletonSet(int value)

Method Detail

### clear

    public void clear()

  Description copied from interface: `IntSet`
  Clear the contents of the IntSet (making it an empty set)

  Specified by:
    `clear` in interface `IntSet`

### size

    public int size()

  Description copied from interface: `IntSet`
  Get the number of integers in the set

  Specified by:
    `size` in interface `IntSet`
  Returns:
    the size of the set

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `IntSet`
  Determine if the set is empty

  Specified by:
    `isEmpty` in interface `IntSet`
  Returns:
    true if the set is empty, false if not

### contains

    public boolean contains(int value)

  Description copied from interface: `IntSet`
  Determine whether a particular integer is present in the set

  Specified by:
    `contains` in interface `IntSet`
  Parameters:
    `value` - the integer under test
  Returns:
    true if value is present in the set, false if not

### remove

    public boolean remove(int value)

  Description copied from interface: `IntSet`
  Remove an integer from the set

  Specified by:
    `remove` in interface `IntSet`
  Parameters:
    `value` - the integer to be removed
  Returns:
    true if the integer was present in the set, false if it was not present

### add

    public boolean add(int value)

  Description copied from interface: `IntSet`
  Add an integer to the set

  Specified by:
    `add` in interface `IntSet`
  Parameters:
    `value` - the integer to be added
  Returns:
    true if the integer was added, false if it was already present

### iterator

    public IntIterator iterator()

  Description copied from interface: `IntSet`
  Get an iterator over the values

  Specified by:
    `iterator` in interface `IntSet`

### containsAll

    public boolean containsAll(IntSet other)

  Description copied from interface: `IntSet`
  Test if this set is a superset of another set

  Specified by:
    `containsAll` in interface `IntSet`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.